httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jiles McCoy" <ji...@jiles.org>
Subject Apache 2.0.39 configured with PHP 4.2.1 Sapi not CGI question
Date Wed, 26 Jun 2002 18:34:44 GMT
Hi all,
 
I have Apache2 running PHP 4 as a CGI no problem on my win XP pro box (and my virtual host
is working great thanks to all of you guys.. you rock). I am now trying to make PHP work as
a SAPI module but I am doing something wrong. Could someone please forward me a copy of their
apache conf and php.ini files so I can compare them to my own. If this is simply a PHP config
problem and I am off topic here please let me know and I will hunt down the correct forum!
 
Thanks all.
 
Jiles
jiles@jiles.org
 
(PS the change that I was making in my conf file was to delete the following:
 
ScriptAlias /php/ "c:/php/"
   AddType application/x-httpd-php .php
   Action application/x-httpd-php "/php/php.exe"
 
and add the following code:
 
LoadModule php4_module c:/php/sapi/php4apache2.dll
   AddModule mod_php4.c
   AddType application/x-httpd-php .php
 
I tried the c:/php/sapi/php4apache2.dll in both quotes and no quotes.
 
 
 
 
 

	-----Original Message----- 
	From: Sergio Morilla [mailto:SMorilla@tipoiti.com] 
	Sent: Wed 6/26/2002 11:22 AM 
	To: users@httpd.apache.org 
	Cc: 
	Subject: RE: Blocking those IIS virus hits
	
	

	Take a look at
	
	http://www.digitalcon.ca/nimda/
	http://www.onlamp.com/lpt/a/apache/2001/08/16/code_red.html
	
	Sergio
	
	---------------------------------------------------------------------
	To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
	For additional commands, e-mail: users-help@httpd.apache.org
	
	

Mime
View raw message